#pragma once
#include "BitmapCtrl.h"
#include "resource.h"
#include "afxwin.h"
#include "afxcmn.h"

#define EMWIN_LOOP_MIN_DELAY 0
#define EMWIN_LOOP_MAX_DELAY 5250
#define EMWIN_LOOP_DEFAULT_DELAY 1000

typedef struct EMWINLOOPSTRUCT
{
	UINT image_count;
	UINT counter;
} EMWINLOOPSTRUCT;

// CBitmapDlg dialog
class CBitmapDlg : public CDialog
{
	DECLARE_DYNAMIC(CBitmapDlg)

public:
	CBitmapDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CBitmapDlg();

// Dialog Data
	enum { IDD = IDD_BITMAP_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	BOOL FileExists(CString Infilename);
	DECLARE_MESSAGE_MAP()

public:
	void InitBitmapDisplay();
	void StartEmwinTimer(UINT milliseconds);
	void StopEmwinTimer();
	void OnTimer(UINT nIDEvent);
	afx_msg void OnBnClickedSaveBitmapImage();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnBnClickedOk();
	afx_msg void OnNMReleasedcaptureEmwinSpeed(NMHDR *pNMHDR, LRESULT *pResult);
	CButton m_ButtonOk;
	CButton m_ButtonSaveBitmapImage;
	CStatic m_PictureControl;
	CBitmapCtrl m_bmpCtrl;
	CString m_sDblClickFilename;
	CString m_sTempFilename;
	BOOL m_bInitDialog;
	BOOL m_bDisplayLrit;
	EMWINLOOPSTRUCT *m_EmwinImageLoop;
	UINT m_iTimerMilliseconds;
	CSliderCtrl m_EmwinSlider;
	CString m_sEmwinSliderEcho;
};
