//-----------------------------
//   AERO-RADIO
//        improving gnuradio!
//-----------------------------

#ifndef INCLUDED_AR_BINARY_DIFFSLICER_FB_H
#define INCLUDED_AR_BINARY_DIFFSLICER_FB_H

#include <gr_sync_block.h>

class ar_binary_diffslicer_fb;
typedef boost::shared_ptr<ar_binary_diffslicer_fb> ar_binary_diffslicer_fb_sptr;

ar_binary_diffslicer_fb_sptr ar_make_binary_diffslicer_fb ();

/*!
 * \brief slice float binary symbol outputting 1 bit output
 * \ingroup block
 *
 * x <  0 --> 0
 * x >= 0 --> 1
 */
class ar_binary_diffslicer_fb : public gr_sync_block
{
  friend ar_binary_diffslicer_fb_sptr ar_make_binary_diffslicer_fb ();
  ar_binary_diffslicer_fb ();

 public:
  int work (int noutput_items,
	    gr_vector_const_void_star &input_items,
	    gr_vector_void_star &output_items);
};

#endif
