// EmwinTextDlg.cpp : implementation file
//

#include "stdafx.h"
#include "EmwinTextDlg.h"
#include ".\emwintextdlg.h"


// CEmwinTextDlg dialog

IMPLEMENT_DYNAMIC(CEmwinTextDlg, CDialog)
CEmwinTextDlg::CEmwinTextDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CEmwinTextDlg::IDD, pParent)
{
	m_sFilename = "";
	m_sFilenamePath = "";
}

CEmwinTextDlg::~CEmwinTextDlg()
{
}

void CEmwinTextDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EMWIN_TEXT_LIST, m_EmwTextList);
}


BEGIN_MESSAGE_MAP(CEmwinTextDlg, CDialog)
	ON_BN_CLICKED(IDOK, OnBnClickedOk)
	ON_BN_CLICKED(IDC_SAVE_TEXT, OnBnClickedSaveText)
END_MESSAGE_MAP()


// CEmwinTextDlg message handlers

void CEmwinTextDlg::OnBnClickedOk()
{
	// TODO: Add your control notification handler code here
	ShowWindow(SW_HIDE);
}

void CEmwinTextDlg::OnBnClickedSaveText()
{
	// TODO: Add your control notification handler code here
	CString newfile;
	CFileDialog dlg(FALSE, "*.txt", m_sFilename, OFN_HIDEREADONLY, "Text Files (*.txt)|*.txt||", this);
	dlg.m_ofn.lpstrTitle = "Save Text File";
	if(dlg.DoModal() == IDOK)
	{
		newfile = dlg.GetPathName();
		CopyFile(m_sFilenamePath, (LPCTSTR)newfile, FALSE);
	}
}
