
#ifndef   INCLUDED_AR_qpsk_detect_H
#define	INCLUDED_AR_qpsk_detect_H

//#include <gr_sync_decimator.h>
#include <ipp.h>

class ar_qpsk_detect;
typedef boost::shared_ptr<ar_qpsk_detect> ar_qpsk_detect_sptr;

ar_qpsk_detect_sptr  ar_make_qpsk_detect ();


class ar_qpsk_detec : public gr_block
{
 private:
  friend ar_qpsk_detec_sptr  ar_make_qpsk_detect();
  
  ar_qpsk_detect();

 public:
  ~ar_qpsk_detect();
  
  void forecast(int noutput_items, gr_vector_int &ninput_items_required);
  
  int general_work (int noutput_items,
		    gr_vector_int &ninput_items,
		    gr_vector_const_void_star &input_items,
		    gr_vector_void_star &output_items);

};

#endif
