
#ifndef INCLUDED_TCP_DEBUG_CONSTANTS_H
#define INCLUDED_TCP_DEBUG_CONSTANTS_H

// Define constants for the various type-codes:
static const int TYPECODE_ERROR             = -1;
static const int TYPECODE_UNKNOWN           = 0;
static const int TYPECODE_GR_COMPLEX        = 1;
static const int TYPECODE_FLOAT             = 2;
static const int TYPECODE_DOUBLE            = 3;
static const int TYPECODE_SHORT             = 4;
static const int TYPECODE_INT               = 5;

// Maximum name length
static const unsigned int MAX_SINK_NAME_LENGTH = 256;

// Special "name" used to request a list of active sinks
static const char REQUEST_SINK_LIST[] = "LIST";

// Port number for the TCP debug server:
static const short TCP_DEBUG_SERVER_PORT = 789;

#endif /* INCLUDED_TCP_DEBUG_CONSTANTS_H */
